Orxonox: orxonox::HumanController Class Reference

# orxonox::HumanController Class Reference

`#include <src/orxonox/objects/controllers/HumanController.h>`

Inheritance diagram for orxonox::HumanController:

List of all members.

## Public Member Functions

| HumanController (BaseObject *creator)
virtual | ~HumanController ()

## Static Public Member Functions

static void | addBots (unsigned int amount)
static void | boost ()
static void | dropItems ()
static void | fire (unsigned int firemode)
static Pawn * | getLocalControllerEntityAsPawn ()
static HumanController * | getLocalControllerSingleton ()
static void | greet ()
static void | killBots (unsigned int amount=0)
static void | mouseLook ()
static void | moveFrontBack (const Vector2 &value)
static void | moveRightLeft (const Vector2 &value)
static void | moveUpDown (const Vector2 &value)
static void | reload ()
static void | rotatePitch (const Vector2 &value)
static void | rotateRoll (const Vector2 &value)
static void | rotateYaw (const Vector2 &value)
static void | suicide ()
static void | switchCamera ()
static void | useItem ()

## Static Private Attributes

static HumanController * | localController_s = 0

## Friends

class | Map

## Constructor & Destructor Documentation

orxonox::HumanController::HumanController | ( | BaseObject * | creator | ) |

References localController_s, and RegisterObject.

orxonox::HumanController::~HumanController | ( |  | ) | `[virtual]`

References localController_s.

## Member Function Documentation

void orxonox::HumanController::addBots | ( | unsigned int | amount | ) | `[static]`

References orxonox::Gametype::addBots(), orxonox::Controller::controllableEntity_, orxonox::BaseObject::getGametype(), and localController_s.

void orxonox::HumanController::boost | ( |  | ) | `[static]`

References orxonox::ControllableEntity::boost(), orxonox::Controller::controllableEntity_, and localController_s.

void orxonox::HumanController::dropItems | ( |  | ) | `[static]`

References orxonox::Controller::controllableEntity_, orxonox::ControllableEntity::dropItems(), and localController_s.

void orxonox::HumanController::fire | ( | unsigned int | firemode | ) | `[static]`

References orxonox::Controller::controllableEntity_, orxonox::ControllableEntity::fire(), and localController_s.

Pawn * orxonox::HumanController::getLocalControllerEntityAsPawn | ( |  | ) | `[static]`

References orxonox::Controller::getControllableEntity(), and localController_s.

Referenced by orxonox::PickupInventory::getCurrentUsableIndex(), orxonox::PickupInventory::getEquipmentCount(), orxonox::PickupInventory::getEquipmentItem(), orxonox::PickupInventory::getPassiveCount(), orxonox::PickupInventory::getPassiveItem(), orxonox::PickupInventory::getUsableCount(), orxonox::PickupInventory::getUsableItem(), orxonox::PickupInventory::isCurrentUsable(), orxonox::PickupInventory::selectUsable(), orxonox::PickupInventory::updateEquipment(), and orxonox::PickupInventory::updateUsable().

static HumanController* orxonox::HumanController::getLocalControllerSingleton | ( |  | ) | `[inline, static]`

References localController_s.

void orxonox::HumanController::greet | ( |  | ) | `[static]`

References orxonox::Controller::controllableEntity_, orxonox::ControllableEntity::greet(), and localController_s.

void orxonox::HumanController::killBots | ( | unsigned int | amount = `0` | ) | `[static]`

References orxonox::Controller::controllableEntity_, orxonox::BaseObject::getGametype(), orxonox::Gametype::killBots(), and localController_s.

void orxonox::HumanController::mouseLook | ( |  | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::mouseLook().

Referenced by orxonox::Map::toggleVisibility().

void orxonox::HumanController::moveFrontBack | ( | const Vector2 & | value | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::moveFrontBack().

void orxonox::HumanController::moveRightLeft | ( | const Vector2 & | value | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::moveRightLeft().

void orxonox::HumanController::moveUpDown | ( | const Vector2 & | value | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::moveUpDown().

void orxonox::HumanController::reload | ( |  | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::reload().

void orxonox::HumanController::rotatePitch | ( | const Vector2 & | value | ) | `[static]`

References orxonox::Controller::controllableEntity_, orxonox::Map::getSingletonPtr(), orxonox::ControllableEntity::isInMouseLook(), localController_s, orxonox::ControllableEntity::rotatePitch(), and orxonox::Map::rotatePitch().

void orxonox::HumanController::rotateRoll | ( | const Vector2 & | value | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::rotateRoll().

void orxonox::HumanController::rotateYaw | ( | const Vector2 & | value | ) | `[static]`

References orxonox::Controller::controllableEntity_, orxonox::Map::getSingletonPtr(), orxonox::ControllableEntity::isInMouseLook(), localController_s, orxonox::ControllableEntity::rotateYaw(), and orxonox::Map::rotateYaw().

void orxonox::HumanController::suicide | ( |  | ) | `[static]`

References orxonox::Controller::controllableEntity_, orxonox::Pawn::kill(), localController_s, orxonox::Controller::player_, and orxonox::PlayerInfo::stopControl().

void orxonox::HumanController::switchCamera | ( |  | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::switchCamera().

void orxonox::HumanController::useItem | ( |  | ) | `[static]`

References orxonox::Controller::controllableEntity_, localController_s, and orxonox::ControllableEntity::useItem().

## Friends And Related Function Documentation

friend class Map`[friend]`

## Member Data Documentation

HumanController * orxonox::HumanController::localController_s = 0`[static, private]`

Referenced by addBots(), boost(), dropItems(), fire(), getLocalControllerEntityAsPawn(), getLocalControllerSingleton(), greet(), HumanController(), killBots(), mouseLook(), moveFrontBack(), moveRightLeft(), moveUpDown(), reload(), rotatePitch(), rotateRoll(), rotateYaw(), suicide(), switchCamera(), orxonox::Map::toggleVisibility(), useItem(), and ~HumanController().

The documentation for this class was generated from the following files:

- src/orxonox/objects/controllers/HumanController.h
- src/orxonox/objects/controllers/HumanController.cc